import request from "@/utils/request";

// 查询服务
export function getServiceInfo(data) {
  return request.post("/pt/service/publicList", data);
}

// 添加服务申请
export function saveServiceInfo(data) {
  return request.post("/pt/service/save", data);
}

// 添加服务申请
export function deleteService(data) {
  return request.get('/pt/service/delete', data);
}

// 添加服务申请
export function getServiceAllParam(id) {
  return request.get(`/pt/service/param/list/${id}`);
}

// 添加服务参数
export function addServiceParam(data) {
  return request.post("/pt/service/param/addList", data);
}

// 删除服务参数
export function delServiceParam(query) {
  return request({
    url: "/pt/service/param/delete",
    method: "get",
    params: query,
  });
}
